﻿using System;
using System.Collections.Generic;
using UnityEngine;

namespace Biomatic
{
    [KSPAddon(KSPAddon.Startup.Flight, false)]
    public class TechChecker : MonoBehaviour
    {
        private static bool techAvailable = false;
        public static bool TechAvailable
        {
            get { return techAvailable; }
            set { techAvailable = value; }
        }

        private void Start()
        {
            techAvailable = false;

            try
            {
                if (HighLogic.CurrentGame.Mode == Game.Modes.CAREER || HighLogic.CurrentGame.Mode == Game.Modes.SCIENCE_SANDBOX)
                {
                    ProtoTechNode techNode = ResearchAndDevelopment.Instance.GetTechState("spaceExploration");

                    if (techNode != null)
                    {
                        List<AvailablePart> lap = techNode.partsPurchased;

                        foreach (AvailablePart p in lap)
                        {
                            if (p.name.ToLower() == "biomatic")
                            {
                                if (ResearchAndDevelopment.PartModelPurchased(p))
                                {
                                    techAvailable = true;
                                    break;
                                }
                            }
                        }
                    }
                }
                else
                {
                    techAvailable = true;
                }
            }
            catch (Exception ex) { print("Biomatic startup exeption - " + ex.Message); }
        }
    }
}
